ubuntu/+source/quassel:ubuntu/cosmic

Last commit made on 2018-05-14
Get this branch:
git clone -b ubuntu/cosmic https://git.launchpad.net/ubuntu/+source/quassel
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/cosmic
Repository:
lp:ubuntu/+source/quassel

Recent commits

c328dee... by Simon Quigley on 2018-05-14

Import patches-unapplied version 1:0.12.5-2ubuntu1 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: 04abd8075084056412a9a01e8f6cf4f5e15a598a

New changelog entries:
  * Merge from Debian Sid (LP: #1767539). Remaining changes:
    - Dropping of (different) transitional packages since 16.04 LTS released.
    - Apparmor profile.
    - Ufw profile.
    - Change the default channel to #lubuntu.

04abd80... by Felix Geyer on 2018-04-25

Import patches-unapplied version 1:0.12.5-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: cf158e0c3697b88f3dd166596008d3c776268ad4

New changelog entries:
  * Build-depend on qtwebengine5-dev only for archs where it's available.

cf158e0... by Felix Geyer on 2018-04-25

Import patches-unapplied version 1:0.12.5-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 29b3a408279ac34e14e920fbbdfc414ec5020d05

New changelog entries:
  * New upstream release.
    - Fixes a deserialization security vulnerability.
    - Fixes a DoS while quassel is starting up.
  * Drop Fix_the_ssl_check_with_Qt_5.6_and_gcc_5.patch, applied upstream.
  * Build against Qt WebEngine instead of QtWebKit, following upstream.
  * Move git repo to salsa.debian.org

29b3a40... by Felix Geyer on 2018-02-08

Import patches-unapplied version 1:0.12.4-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 22a86e59a7e9a8bc925bc2b1975e83e4e35cec05

New changelog entries:
  * Depend on default-dbus-session-bus | dbus-session-bus instead of dbus-x11.
    (Closes: #836142)
  * Provide support for --listen option in the init script and systemd service.
    (Closes: #590645)
  * Fix the OpenSSL detection.
    - Add Fix_the_ssl_check_with_Qt_5.6_and_gcc_5.patch,
      cherry picked from upstream.
  * Switch to debhelper compat level 10.
  * quassel-core postinst: chmod/chown only after creating the files/dirs.
  * Remove transitional packages quassel-kde4 and quassel-client-kde4.

22a86e5... by Felix Geyer on 2016-04-26

Import patches-unapplied version 1:0.12.4-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 65340628e93a1a7efe21f2cfd1ef8795dda23f1c

New changelog entries:
  * Fix FTBFS when building only architecture dependent packages.
  * New upstream release.
  * quassel-core: Add libqt5sql5-psql to Suggests since PostgreSQL is supported
    as an alternative backend. (Closes: #552374)
  * Pass service name to dh_systemd_*. (Closes: #811149)
  * Replace bundled inxi script with a symlink to the one provided by pkg:inxi.
    (Closes: #814278)

6534062... by Felix Geyer on 2016-02-11

Import patches-unapplied version 1:0.12.3-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: b719a7f9eb70c1206ff119b6627344c0da2b3d62

New changelog entries:
  * New upstream release.
  * Drop patches that have been applied upstream:
    - 02_set-required-libs-and-flags.patch
    - 04_fix_ftbfs_qt55.patch
    - CVE-2015-8547.patch

b719a7f... by Felix Geyer on 2015-12-14

Import patches-unapplied version 1:0.12.2-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 8708824c2f90a332e20f361c7c00bf3f6f884147

New changelog entries:
  * Fix CVE-2015-8547: op command denial of service issue (Closes: #807801)
    - Add CVE-2015-8547.patch

8708824... by Felix Geyer on 2015-10-29

Import patches-unapplied version 1:0.12.2-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: f160f5ea3fa060f4cf1dfb74309a53baf69ab424

New changelog entries:
  * Fix FTBFS with Qt 5.5. (Closes: #802868)
    - Add 04_fix_ftbfs_qt55.patch

f160f5e... by Felix Geyer on 2015-09-10

Import patches-unapplied version 1:0.12.2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 48b0ef7e06ae4f2ee43a299cba3486abd3026efd

New changelog entries:
  [ Felix Geyer ]
  * New upstream release. (Closes: #779726)
  * Remove patches that have been applied upstream:
    - CVE-2014-8483.patch
    - CVE-2015-2778.patch
    - CVE-2015-3427.patch
  * Set maintainer to Debian KDE Extras Team.
  * Add Vcs control fields pointing to the new git packaging repo.
    (Closes: #732605)
  * Drop explicit phonon depenencies, they are automatically added.
  * Build quassel against Qt5 + KF5 libs instead of a Qt4 and a KDE4 variant.
    (Closes: #784519)
    - Remove quassel-data-kde4.
    - Turn quassel-kde4 and quassel-client-kde4 into transitional packages.
  * Enable parallel building.
  * Pass --fail-missing to dh_install.
  * Create the SSL certificate as user quasselcore to avoid a symlink race
    condition. (Closes: #753737)
  * Stop hardcoding the path to deluser / delgroup in postrm.
  * Enable all hardening build flags.
  * Build with -Wl,--as-needed.
  * Fix detection of OpenSSL when building against Qt5.
    - Add 02_set-required-libs-and-flags.patch from openSUSE.
  * Work around missing icon theme fallback in KF5.
    - Add 03_force_icon_theme.patch
    - Add oxygen-icon-theme to quassel-data/Recommends.
  [ Scott Kitterman ]
  * Add systemd service file and associated changes for quasselcore.

48b0ef7... by Felix Geyer on 2015-05-05

Import patches-unapplied version 1:0.10.0-2.4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: df2bc354e56b2b2714da229566d34a5e121c2a07

New changelog entries:
  * Non-maintainer upload.
  * Fix CVE-2015-3427: SQL injection vulnerability in PostgreSQL backend.
    (Closes: #783926)
    - Add debian/patches/CVE-2015-3427.patch, cherry-picked from upstream.
    - The original issue was CVE-2013-4422 which had an incomplete fix.